//
// elements/accordion
// ce_list
//

// list-reset
%list-reset {
  list-style-type: none;
  margin: 0;
  padding: 0;
}

// reset & basic-settings
ul, ol {
  @extend %list-reset;
  margin-top: 0;
  margin-bottom: $base-spacing-unit;
  line-height: $base-line-height;

  &:last-child {
    margin-bottom: 0;
  }
}

// list-default
%list-default {

  // unordered list
  ul {
    padding-left: 1.25em + $list-indentation;
  }

  ul > li {
    &::before {
      @if ($list-style-type == "disc" and $list-style-size == "small") {
        content: "\2022";
      } @else if ($list-style-type == "disc" and $list-style-size == "large") {
        content: "\25CF";
      } @else if ($list-style-type == "circle") {
        content: "\25E6";
      } @else if ($list-style-type == "square") {
        content: "\25AA";
      } @else {
        content: "";
      }
      color: $list-bullet-color;
      display: inline-block;
      width: 1.25em;
      margin-left: -1.25em;
    }
  }

  // ordered list
  ol {
    counter-reset: li;
    padding-left: 1.25em + $list-indentation;
  }

  ol > li {
    counter-increment: li;
    &::before {
      content: counter(li);
      color: $list-number-color;
      font-weight: $list-font-weight;
      display: inline-block;
      width: 1.25em;
      margin-left: -2em;
      margin-right: 0.75em;
      text-align: right;
      direction: rtl;
    }
  }

  ol > li:not(:last-child),
  ul > li:not(:last-child) {
    padding-bottom: 0.125rem;
  }
}

.ce_list {
  @extend %list-default;
}
